# Hikage

class Hikage

The Hikage core layout builder.

A Hikage can have multiple levels of Hikage.Performer.

#### Parameters

factories

the factories to customize the custom view in the initialization.

## Types

Companion
Link copied to clipboard
object Companion
Delegate
Link copied to clipboard
class Delegate < LP : ViewGroup.LayoutParams >

The delegate for Hikage.

LayoutParams
Link copied to clipboard
class LayoutParams

The Hikage layout params.

Performer
Link copied to clipboard
inner class Performer < LP : ViewGroup.LayoutParams > : Hikage.PerformerScope

The core performer entity of layout build LP.

PerformerParams
Link copied to clipboard
data class PerformerParams : Serializable

The parameters of the Performer.

## Properties

root
Link copied to clipboard
val root : Nothing

Get the root view.

## Functions

get
Link copied to clipboard
operator fun get (id: String ): Nothing

Get the view by id.

@ JvmName (name = "getTyped")
inline fun < V : View > get (id: String ): V

Get the view by id via V.

getActualViewId
Link copied to clipboard
fun getActualViewId (id: String ): Int

Get the actual view id by id.

getOrNull
Link copied to clipboard
fun getOrNull (id: String ): <Error class: unknown class>

Get the view by id.

@ JvmName (name = "getOrNullTyped")
inline fun < V : View > getOrNull (id: String ): V ?

Get the view by id via V.

root
Link copied to clipboard
inline fun < V : View > root (): V

Get the root view V.